r2939 - in jhalfs/trunk: . BLFS/libs

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sun Aug 13 07:38:13 PDT 2006


Author: manuel
Date: 2006-08-13 08:38:12 -0600 (Sun, 13 Aug 2006)
New Revision: 2939

Modified:
   jhalfs/trunk/BLFS/libs/book.xsl
   jhalfs/trunk/Config.in
   jhalfs/trunk/blfs
Log:
Created BLFS master script code.

Modified: jhalfs/trunk/BLFS/libs/book.xsl
===================================================================
--- jhalfs/trunk/BLFS/libs/book.xsl	2006-08-13 11:58:59 UTC (rev 2938)
+++ jhalfs/trunk/BLFS/libs/book.xsl	2006-08-13 14:38:12 UTC (rev 2939)
@@ -6,8 +6,8 @@
 
 <!-- $Id$ -->
 
-  <!-- NOTE: the base dir (blfs-xml) must be changed to FAKEDIR on the
-  final version and set it to the proper dir via a sed in ./blfs -->
+  <!-- NOTE: the base dir (blfs-xml) is set to the proper dir
+  via a sed in ./blfs -->
   <xsl:import href="../blfs-xml/stylesheets/blfs-chunked.xsl"/>
 
   <xsl:param name="mail_server" select="sendmail"/>

Modified: jhalfs/trunk/Config.in
===================================================================
--- jhalfs/trunk/Config.in	2006-08-13 11:58:59 UTC (rev 2938)
+++ jhalfs/trunk/Config.in	2006-08-13 14:38:12 UTC (rev 2939)
@@ -22,8 +22,8 @@
 		config	BOOK_HLFS
 			bool "Hardened Linux From Scratch"
 
-#		config	BOOK_BLFS
-#			bool "Beyond Linux From Scratch"
+		config	BOOK_BLFS
+			bool "Beyond Linux From Scratch"
 	endchoice
 
 	config	RUN_ME
@@ -33,7 +33,7 @@
 		default	"./clfs2"	if BOOK_CLFS2
 #		default	"./clfs3"	if BOOK_CLFS3
 		default	"./hlfs"	if BOOK_HLFS
-#		default	"./blfs"	if BOOK_BLFS
+		default	"./blfs"	if BOOK_BLFS
 	#--- End BOOK/script
 
 	#--- Book version
@@ -47,6 +47,7 @@
 
 		config	WORKING_COPY
 			bool	"Working Copy"
+			depends on !BOOK_BLFS
 			help
 				#-- A local working copy
 
@@ -277,10 +278,29 @@
 		default "uclibc"	if LIB_UCLIBC
 	#--- End HLFS specific params
 
+	#--- BLFS specific params
+	config	BLFS_ROOT
+		string "Directory root"
+		default "$HOME/blfs_root"
+		depends on BOOK_BLFS
+		help
+			#-- Full path to the directory where all required
+			#   files and scripts will be stored.
+
+	config	BLFS_XML
+		string "BLFS sources directory"
+		default "blfs-xml"
+		depends on BOOK_BLFS
+		help
+			#-- The directory name where BLFS book sources
+			#   will be checkout.
+	#--- End BLFS specific params
+
 #--- End BOOK Settings
 endmenu
 
 menu "--- General Settings"
+	depends on !BOOK_BLFS
 
 	#--- Set User Account
 	config	CONFIG_USER
@@ -383,6 +403,7 @@
 endmenu
 
 menu "--- Build Settings"
+	depends on !BOOK_BLFS
 
 	#--- Test Suites
 	config	CONFIG_TESTS
@@ -548,6 +569,7 @@
 endmenu
 
 menu "--- Advanced Features"
+	depends on !BOOK_BLFS
 
 	config	CONFIG_REPORT
 		bool "Create SBU and disk usage report"

Modified: jhalfs/trunk/blfs
===================================================================
--- jhalfs/trunk/blfs	2006-08-13 11:58:59 UTC (rev 2938)
+++ jhalfs/trunk/blfs	2006-08-13 14:38:12 UTC (rev 2939)
@@ -1,6 +1,69 @@
 #!/bin/bash
+# $Id$
+
 set -e
 
-echo -e "\n  BLFS support has been dissabled for now.\n"
 
-exit 0
+#>>>>>>>>>>>>>>>ERROR TRAPPING >>>>>>>>>>>>>>>>>>>>
+#-----------------------#
+simple_error() {        # Basic error trap.... JUST DIE
+#-----------------------#
+  # If +e then disable text output
+  if [[ "$-" =~ "e" ]]; then
+    echo -e "\n${RED}ERROR:${GREEN} basic error trapped!${OFF}\n" >&2
+  fi
+}
+
+see_ya() {
+    echo -e "\n\t${BOLD}Goodbye and thank you for choosing ${L_arrow}jhalfs${R_arrow}\n"
+}
+##### Simple error TRAPS
+# ctrl-c   SIGINT
+# ctrl-y
+# ctrl-z   SIGTSTP
+# SIGHUP   1 HANGUP
+# SIGINT   2 INTRERRUPT FROM KEYBOARD Ctrl-C
+# SIGQUIT  3
+# SIGKILL  9 KILL
+# SIGTERM 15 TERMINATION
+# SIGSTOP 17,18,23 STOP THE PROCESS
+#####
+set -e
+trap see_ya 0
+trap simple_error ERR
+trap 'echo -e "\n\n${RED}INTERRUPT${OFF} trapped\n" &&  exit 2'  1 2 3 15 17 18 23
+#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+VERBOSITY=1
+
+[[ $VERBOSITY > 0 ]] && echo -n "Loading config params from <configuration>..."
+source configuration
+[[ $? > 0 ]] && echo "file:configuration did not load.." && exit 1
+[[ $VERBOSITY > 0 ]] && echo "OK"
+
+[[ -z $BOOK_BLFS ]] && echo -e "\nNo BLFS configuration found. Please configure it." && exit 1
+
+TREE=trunk/BOOK
+
+if [[ ! -z ${BRANCH_ID} ]]; then
+  case $BRANCH_ID in
+    dev* | SVN | trunk )  TREE=trunk/BOOK ;;
+              branch-* )  TREE=branches/${BRANCH_ID#branch-}/BOOK ;;
+                     * )  TREE=tags/${BRANCH_ID}/BOOK ;;
+  esac
+fi
+
+[[ ! -d $BLFS_ROOT ]] && mkdir -p $BLFS_ROOT
+
+cp -r BLFS/* $BLFS_ROOT
+cp common/progress_bar.sh $BLFS_ROOT
+# cp -r menu $BLFS_ROOT
+
+cd $BLFS_ROOT
+
+sed -i 's,blfs-xml,'$BLFS_XML',' update_book.sh
+sed -i 's,blfs-xml,'$BLFS_XML',' libs/book.xsl
+
+./update_book.sh $BLFS_XML get $TREE
+# make
+




More information about the alfs-log mailing list